<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package Zeroerror Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	} else {
		do_action( 'wp_body_open' );
	}
?>
<a class="skip-link screen-reader-text" href="#page_content">
<?php esc_html_e( 'Skip to content', 'zeroerror-lite' ); ?>
</a>
<?php 
$zeroerror_lite_show_contact_sec 	      	= esc_attr( get_theme_mod('zeroerror_lite_show_contact_sec', false) );
$zeroerror_lite_show_social_sec 	      	= esc_attr( get_theme_mod('zeroerror_lite_show_social_sec', false) );
$zeroerror_lite_show_headerslider 	      	= esc_attr( get_theme_mod('zeroerror_lite_show_headerslider', false) );
$zeroerror_lite_show_threebxpage 	      	= esc_attr( get_theme_mod('zeroerror_lite_show_threebxpage', false) );
$zeroerror_lite_show_welcomesection 	    = esc_attr( get_theme_mod('zeroerror_lite_show_welcomesection', false) );
?>
<div id="templatelayout">
<?php if( $zeroerror_lite_show_contact_sec != ''){ ?>
  <div class="headertop">
     <div class="container">
       <div class="left">       
      <?php 
            $email = get_theme_mod('contact_mail');
               if( !empty($email) ){ ?>                
                      <i class="fa fa-envelope-o"></i>                    
                      <a href="<?php echo esc_url('mailto:'.sanitize_email($email)); ?>"><?php echo sanitize_email($email); ?></a>                   
         <?php } ?> 
       
        <?php $contact_no = get_theme_mod('contact_no');
               if( !empty($contact_no) ){ ?>              
                     <span>
                         <i class="fa fa-phone"></i>            
                         <?php echo esc_html($contact_no); ?>
                     </span>   
         <?php } ?>        
       </div>
     <div class="right">
     <?php if( $zeroerror_lite_show_social_sec != ''){ ?>   
        <div class="social-icons">			  
               <?php $fb_link = get_theme_mod('fb_link');
                        if( !empty($fb_link) ){ ?>
                        <a class="fa fa-facebook" target="_blank" href="<?php echo esc_url($fb_link); ?>"></a>
                <?php } ?>
                
                <?php $twitt_link = get_theme_mod('twitt_link');
                        if( !empty($twitt_link) ){ ?>
                        <a class="fa fa-twitter" target="_blank" href="<?php echo esc_url($twitt_link); ?>"></a>
                <?php } ?>
                
                 <?php $insta_link = get_theme_mod('insta_link');
                        if( !empty($insta_link) ){ ?>
                        <a class="fa fa-instagram" target="_blank" href="<?php echo esc_url($insta_link); ?>"></a>
                <?php } ?>
                
                 <?php $linked_link = get_theme_mod('linked_link');
                        if( !empty($linked_link) ){ ?>
                        <a class="fa fa-linkedin" target="_blank" href="<?php echo esc_url($linked_link); ?>"></a>
                <?php } ?>      
        </div>
        <?php } ?>
      </div>     
    <div class="clear"></div>
 </div><!-- .container -->  
 </div><!-- .headertop --> 
<?php } ?>   

  <div class="header">
        <div class="container">
            <div class="logo">           
             <?php zeroerror_lite_the_custom_logo(); ?>
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
            <?php $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) : ?>
                <p><?php echo esc_html($description); ?></p>
            <?php endif; ?>
            
            
            
            </div><!-- logo -->
             <div class="toggle">
                <a class="toggleMenu" href="#"><?php esc_html_e('Menu','zeroerror-lite'); ?></a>
             </div><!-- toggle --> 
            <div class="sitenav">
                    <?php wp_nav_menu(array('theme_location' => 'primary')); ?>
            </div><!-- site-nav -->
            <div class="clear"></div>
        </div><!-- container -->
  </div><!--.header -->

<?php 
if ( is_front_page() && !is_home() ) {
if($zeroerror_lite_show_headerslider != '') {
	for($i=7; $i<=9; $i++) {
	  if( get_theme_mod('page-setting'.$i,false)) {
		$slider_Arr[] = absint( get_theme_mod('page-setting'.$i,true));
	  }
	}
?> 
<section id="home_slider">
<?php if(!empty($slider_Arr)){ ?>
<div class="slider-wrapper theme-default">
<div id="slider" class="nivoSlider">
<?php 
$i=1;
$slidequery = new WP_Query( array( 'post_type' => 'page', 'post__in' => $slider_Arr, 'orderby' => 'post__in' ) );
while( $slidequery->have_posts() ) : $slidequery->the_post();
$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID)); 
$thumbnail_id = get_post_thumbnail_id( $post->ID );
$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
?>
<?php if(!empty($image)){ ?>
<img src="<?php echo esc_url( $image ); ?>" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
<?php }else{ ?>
<img src="<?php echo esc_url( get_template_directory_uri() ) ; ?>/images/slides/sliderpic.jpg" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
<?php } ?>
<?php $i++; endwhile; ?>
</div>   

<?php 
$j=1;
$slidequery->rewind_posts();
while( $slidequery->have_posts() ) : $slidequery->the_post(); ?>                 
    <div id="slidecaption<?php echo esc_attr( $j ); ?>" class="nivo-html-caption"> 
     <div class="slide_info">        
    	<h2><?php the_title(); ?></h2>
    	<?php the_excerpt(); ?>
		<?php
        $zeroerror_lite_hdrslidepagebutton = get_theme_mod('zeroerror_lite_hdrslidepagebutton');
        if( !empty($zeroerror_lite_hdrslidepagebutton) ){ ?>
            <a class="slide_more" href="<?php the_permalink(); ?>"><?php echo esc_html($zeroerror_lite_hdrslidepagebutton); ?></a>
        <?php } ?>
        </div>                  
    </div>   
<?php $j++; 
endwhile;
wp_reset_postdata(); ?>   
<?php } ?>
 </div><!-- .frontslider-sections -->  
  </section><!-- .home_slider -->   
<?php } } ?>   
       
<?php if ( is_front_page() && ! is_home() ) { ?>  
     <?php if( $zeroerror_lite_show_threebxpage != ''){ ?>     
		 <section id="wrapsecond">
            	<div class="container">
                    <div class="services-wrap">                       
                        <?php for($p=1; $p<4; $p++) { ?>       
                        <?php if( get_theme_mod('page-column'.$p,false)) { ?>          
                            <?php $myquery = new WP_query('page_id='.absint(get_theme_mod('page-column'.$p,true)) ); ?>				
                                    <?php while( $myquery->have_posts() ) : $myquery->the_post(); ?> 
                                    <div class="one_third <?php if($p % 3 == 0) { echo "last_column"; } ?>">                      
                                    <a href="<?php the_permalink(); ?>">
                                      <?php the_post_thumbnail( array(85,85, true) );?>
                                      <h4><?php the_title(); ?></h4>
                                    </a> 
                                   <?php the_excerpt(); ?>                               
                                    </div>
								<?php endwhile;
                                wp_reset_postdata();                                  
                            } } ?>    
                    <div class="clear"></div>  
               </div><!-- services-wrap-->
              <div class="clear"></div>
            </div><!-- container -->
       </section>
   <?php } ?>
       
    <?php if( $zeroerror_lite_show_welcomesection != ''){ ?>     
     <section id="wrapfirst">
            	<div class="container">
                    <div class="welcomewrap">
					<?php if( get_theme_mod('page-setting1')) { ?>
                     <?php $queryvar = new WP_query('page_id='.absint(get_theme_mod('page-setting1' ,true)) ); ?>
						<?php while( $queryvar->have_posts() ) : $queryvar->the_post();?>                            
                             <h1><?php the_title(); ?></h1>         
                             <?php the_content(); ?>
                             <?php the_post_thumbnail( array(570,380, true));?>                    
                             <div class="clear"></div>
                        <?php endwhile;
					 wp_reset_postdata(); ?>                                    
					<?php } ?> 
                      
               </div><!-- welcomewrap-->
              <div class="clear"></div>
            </div><!-- container -->
       </section><div class="clear"></div>   
   <?php } ?>
 <?php } ?>