<?php
/**
 * @package Zeroerror Lite
 * Setup the WordPress core custom header feature.
 *
 * @uses zeroerror_lite_header_style()
 * @uses zeroerror_lite_admin_header_style()
 * @uses zeroerror_lite_admin_header_image()

 */
function zeroerror_lite_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'zeroerror_lite_custom_header_args', array(
		//'default-image'          => get_template_directory_uri().'/images/banner_bg.jpg',
		'default-text-color'     => '8EAE0E',
		'width'                  => 1600,
		'height'                 => 200,
		'wp-head-callback'       => 'zeroerror_lite_header_style',
		'admin-head-callback'    => 'zeroerror_lite_admin_header_style',
		'admin-preview-callback' => 'zeroerror_lite_admin_header_image',
	) ) );
}
add_action( 'after_setup_theme', 'zeroerror_lite_custom_header_setup' );

if ( ! function_exists( 'zeroerror_lite_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see zeroerror_lite_custom_header_setup().
 */
function zeroerror_lite_header_style() {
	$header_text_color = get_header_textcolor();
	?>
	<style type="text/css">
	<?php
		//Check if user has defined any header image.
		if ( get_header_image() || get_header_textcolor() ) :
	?>
		.header{
			background: url(<?php echo esc_url( get_header_image() ); ?>) no-repeat;
			background-position: center top;
		}
		.logo h1 a { color:#<?php echo esc_html(get_header_textcolor()); ?>;}
	<?php endif; ?>	
	</style>
    
    <?php
	// If the header text option is untouched, let's bail.
	if ( display_header_text() ) {
		return;
	}

	// If the header text has been hidden.
	?>
    <style type="text/css">		
		.logo h1,
		.logo p{
			clip: rect(1px, 1px, 1px, 1px);
			position: absolute;
		}
    </style>
    
	<?php          
} 
endif; // zeroerror_lite_header_style 